clang-tools 8.0.0

Public Member Functions | List of all members
clang::move::HelperDeclRefGraph Class Reference

`#include <HelperDeclRefGraph.h>`

## Public Member Functions
| HelperDeclRefGraph ()=default
| ~HelperDeclRefGraph ()=default
void | addEdge (const Decl *Caller, const Decl *Callee)
CallGraphNode * | getNode (const Decl *D) const
llvm::DenseSet< const CallGraphNode * > | getReachableNodes (const Decl *D) const
void | dump () const

## Detailed Description

Definition at line 46 of file HelperDeclRefGraph.h.

## Constructor & Destructor Documentation

## ◆ HelperDeclRefGraph()

clang::move::HelperDeclRefGraph::HelperDeclRefGraph | ( |  | ) |
| default

## ◆ ~HelperDeclRefGraph()

clang::move::HelperDeclRefGraph::~HelperDeclRefGraph | ( |  | ) |
| default

## Member Function Documentation

## ◆ addEdge()

void clang::move::HelperDeclRefGraph::addEdge | ( | const Decl * | Caller,
|  | const Decl * | Callee
| ) |  |

Definition at line 39 of file HelperDeclRefGraph.cpp.

## ◆ dump()

void clang::move::HelperDeclRefGraph::dump | ( |  | ) | const

Definition at line 55 of file HelperDeclRefGraph.cpp.

Referenced by clang::move::ClangMoveTool::onEndOfTranslationUnit().

## ◆ getNode()

CallGraphNode * clang::move::HelperDeclRefGraph::getNode | ( | const Decl * | D | ) | const

Definition at line 67 of file HelperDeclRefGraph.cpp.

Referenced by getReachableNodes().

## ◆ getReachableNodes()

llvm::DenseSet< const CallGraphNode * > clang::move::HelperDeclRefGraph::getReachableNodes | ( | const Decl * | D | ) | const

Definition at line 73 of file HelperDeclRefGraph.cpp.

References getNode().

The documentation for this class was generated from the following files:

- HelperDeclRefGraph.h
- HelperDeclRefGraph.cpp